create or replace view segstat_with_time as
select s.inst_id 	Instance_id,
	u.name			Owner,
	o.name			Object_name,
	o.subname		Sub_object_name,
	ts.name			Tablespace_name,
	decode(o.type#, 
		0, 'NEXT OBJECT',
		1, 'INDEX',
		2, 'TABLE',
		3, 'CLUSTER',
		4, 'VIEW',
		5, 'SYNONYM',
		6, 'SEQUENCE',
		7, 'PROCEDURE',
		8, 'FUNCTION',
		9, 'PACKAGE',
		11, 'PACKAGE BODY',
		12, 'TRIGGER',
		13, 'TYPE',
		14, 'TYPE BODY',
		19, 'TABLE PARTITION',
		20, 'INDEX PARTITION',
		21, 'LOB',
		22, 'LIBRARY',
		23, 'DIRECTORY',
		24, 'QUEUE',
		28, 'JAVA SOURCE',
		29, 'JAVA CLASS',
		30, 'JAVA RESOURCE',
		32, 'INDEXTYPE',
		33, 'OPERATOR',
		34, 'TABLE SUBPARTITION',
		35, 'INDEX SUBPARTITION',
		40, 'LOB PARTITION',
		41, 'LOB SUBPARTITION',
		42, 'MATERIALIZED VIEW',
		43, 'DIMENSION',
		44, 'CONTEXT',
		47, 'RESOURCE PLAN',
		48, 'CONSUMER GROUP',
		51, 'SUBSCRIPTION',
		52, 'LOCATION',
		55, 'XML SCHEMA',
		56, 'JAVA DATA',
		57, 'SECURITY PROFILE',
		'UNDEFINED') 	Object_type, 
	s.fts_statnam		Statistic_name,
	s.fts_staval		Value,
	to_char(fts_stmp, 'mm/dd/yyyy hh24:mi:ss') 
				time_stamp
from obj$ o, user$ u, x$ksolsfts s, ts$ ts
where o.owner# = u.user#
and s.fts_inte = 0
and s.fts_objn = o.obj#
and s.fts_tsn = ts.ts#
and s.fts_objd = o.dataobj#
and o.linkname is null
and 
(o.type# not in
	(1 /* INDEX - handled below */,
	10 /* NON-EXISTENT */)
	or
	(o.type# = 1
	and 1 = 
		(select 1
		from ind$ I
		where i.obj# = o.obj# 
		and i.type# in (1, 2, 3, 4, 6, 7, 9)
		)
	)
)
and o.name != '_NEXT_OBJECT'
and o.name != '_default_auditing_options_'
